# mlx.core.floor_divide — MLX 0.0.7 documentation

Skip to main content
`Ctrl`+`K`

# mlx.core.floor_divide

mlx.core.floor_divide(a: Union[scalar, array ], b: Union[scalar, array ], stream: Union[ None , Stream , Device ] = None) → array

  Element-wise integer division.

  If either array is a floating point type then it is equivalent to calling `floor()` after `divide()`.

  Parameters:

    - a (array) – Input array or scalar.

    - b (array) – Input array or scalar.

  Returns:

    The quotient `a // b`.

  Return type:

    array